#include <iostream>
#include <cstdlib>

using namespace std;

int main()
{
    int n;
    cin >> n;

    long long unsigned result = 0;

    int input[n];
    for(int i=0; i<n; i++)
        cin >> input[i];

    for(int i=0; i<n; i++)
    {
        if(input[i]% 2 == 0)
        {
            result += n-i;
            //cout << result << endl;
        }
        else
        {
            for(int j=i+1; j<n; j++)
            {
                if(input[j]% 2 == 0)
                {
                    result += n-j;
                    //cout << result << endl;
                }
            }
        }
    }

    cout << result;
    return 0;
}
